## ros-kinetic-naoqi-apps 0.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(naoqi_apps)

# Find all required modules for compilation
find_package(catkin REQUIRED)

catkin_package()

=== debian/changelog ===
ros-kinetic-naoqi-apps (0.5.5-0xenial) xenial; urgency=high

  * set Surya as the maintainer
  * Contributors: Vincent Rabaud

 -- Surya Ambrose <surya.ambrose@gmail.com>  Mon, 19 Sep 2016 07:00:00 -0000

ros-kinetic-naoqi-apps (0.5.4-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 20 May 2016 07:00:00 -0000

ros-kinetic-naoqi-apps (0.5.3-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Aug 2015 07:00:00 -0000

ros-kinetic-naoqi-apps (0.5.2-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 11 Aug 2015 07:00:00 -0000

ros-kinetic-naoqi-apps (0.5.1-0xenial) xenial; urgency=high

  * generate changelog
  * generate changelog
  * cleanup meta package.xml
  * Contributors: Karsten Knese
  * generate changelog
  * cleanup meta package.xml
  * Contributors: Karsten Knese
  * cleanup meta package.xml
  * Contributors: Karsten Knese

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 31 Jul 2015 07:00:00 -0000

ros-kinetic-naoqi-apps (0.5.0-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 30 Jul 2015 07:00:00 -0000

ros-kinetic-naoqi-apps (0.4.8-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 25 Jun 2015 07:00:00 -0000

ros-kinetic-naoqi-apps (0.4.7-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 30 Mar 2015 07:00:00 -0000

ros-kinetic-naoqi-apps (0.4.6-0xenial) xenial; urgency=high

  * update wiki ros links
  * update repo links in package.xml
  * Contributors: Mikael Arguedas

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 27 Feb 2015 08:00:00 -0000

ros-kinetic-naoqi-apps (0.4.5-0xenial) xenial; urgency=high

  * add naoqi_apps
  * Contributors: Vincent Rabaud
  * add naoqi_apps
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 11 Feb 2015 08:00:00 -0000

ros-kinetic-naoqi-apps (0.4.4-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 16 Jan 2015 08:00:00 -0000

ros-kinetic-naoqi-apps (0.4.3-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 14 Dec 2014 08:00:00 -0000

ros-kinetic-naoqi-apps (0.4.2-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Nov 2014 08:00:00 -0000

ros-kinetic-naoqi-apps (0.4.1-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 13 Nov 2014 08:00:00 -0000

ros-kinetic-naoqi-apps (0.4.0-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 06 Nov 2014 08:00:00 -0000

=== debian/control ===
Source: ros-kinetic-naoqi-apps
Section: misc
Priority: extra
Maintainer: Surya Ambrose <surya.ambrose@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/nao
Standards-Version: 3.9.2

Package: ros-kinetic-naoqi-apps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Package bridging NAOqi to executing things on the robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-naoqi-apps//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
